xcb_record_register_clients(3)

NAME
xcb_record_register_clients -

SYNOPSIS
#include <xcb/record.h>

  Request function

xcb_void_cookie_t xcb_record_register_clients(xcb_connection_t *conn, xcb_record_context_t context, xcb_record_element_header_t element_header, uint32_t num_client_specs, uint32_t num_ranges, const xcb_record_client_spec_t *client_specs, const xcb_record_range_t *ranges);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

context
    TODO: NOT YET DOCUMENTED.

element_header
    TODO: NOT YET DOCUMENTED.

num_client_specs
    TODO: NOT YET DOCUMENTED.

num_ranges
    TODO: NOT YET DOCUMENTED.

client_specs
    TODO: NOT YET DOCUMENTED.

ranges
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_record_register_clients_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from record.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.